SkillSet
Resource: SkillSet — CRUD endpoints
A named collection of skills. Skills (Tag records with a type) are added to a skill set via TagAssignment. Each skill set belongs to a SkillSetCategory. Skill sets are a convenience for bulk-applying skills to users — they are not permanently linked to users. Adding or removing a skill from a skill set does not change the skills already assigned to any user.
List SkillSet (find where)
Find a list of SkillSet records that match the specified criteria.
Tip: All query parameters accept multiple values for array filtering — e.g. ?id=1&id=2 or ?id[]=1&id[]=2. This also works within the where parameter: ?where={"id":[1,2,3]}.
Note: The per-attribute filter parameters and the where parameter are mutually exclusive. If where is supplied, the per-attribute filters are ignored — put all filter criteria inside where instead. limit, skip, sort, and populate are unaffected.
query Parameters
whereA JSON-encoded Waterline criteria for advanced filtering. This allows you to take advantage of contains, startsWith, and other sub-attribute criteria modifiers for more powerful find() queries.
Note: If where is supplied, the per-attribute filter query parameters are ignored — where is the entire criteria. (limit, skip, sort, and populate are unaffected.) To combine filters, put them all inside where.
e.g. ?where={"status":1}
limitThe maximum number of records to send back (useful for pagination). Defaults to 30.
skipThe number of records to skip (useful for pagination).
sortThe sort order. By default, returned records are sorted by primary key value in ascending order.
e.g. ?sort=lastName%20ASC
List SkillSet (find where) › Responses
Responds with a paged list of SkillSet records that match the specified criteria
Create SkillSet
Create a new SkillSet record.
Create SkillSet › Request Body
A named collection of skills. Skills (Tag records with a type) are added to a skill set via TagAssignment. Each skill set belongs to a SkillSetCategory. Skill sets are a convenience for bulk-applying skills to users — they are not permanently linked to users. Adding or removing a skill from a skill set does not change the skills already assigned to any user.
Create SkillSet › Responses
Responds with a JSON dictionary representing the newly created SkillSet instance
A named collection of skills. Skills (Tag records with a type) are added to a skill set via TagAssignment. Each skill set belongs to a SkillSetCategory. Skill sets are a convenience for bulk-applying skills to users — they are not permanently linked to users. Adding or removing a skill from a skill set does not change the skills already assigned to any user.
Get SkillSet (find one)
Look up the SkillSet record with the specified ID.
path Parameters
idThe desired SkillSet record's primary key value
Get SkillSet (find one) › Responses
Responds with a single SkillSet record as a JSON dictionary
A named collection of skills. Skills (Tag records with a type) are added to a skill set via TagAssignment. Each skill set belongs to a SkillSetCategory. Skill sets are a convenience for bulk-applying skills to users — they are not permanently linked to users. Adding or removing a skill from a skill set does not change the skills already assigned to any user.
Update SkillSet
Partially update an existing SkillSet record. Despite using PUT, this endpoint applies PATCH semantics — only the fields included in the request body are modified; omitted fields are left unchanged.
path Parameters
idThe desired SkillSet record's primary key value
Update SkillSet › Request Body
A named collection of skills. Skills (Tag records with a type) are added to a skill set via TagAssignment. Each skill set belongs to a SkillSetCategory. Skill sets are a convenience for bulk-applying skills to users — they are not permanently linked to users. Adding or removing a skill from a skill set does not change the skills already assigned to any user.
Update SkillSet › Responses
Responds with the newly updated SkillSet record as a JSON dictionary
A named collection of skills. Skills (Tag records with a type) are added to a skill set via TagAssignment. Each skill set belongs to a SkillSetCategory. Skill sets are a convenience for bulk-applying skills to users — they are not permanently linked to users. Adding or removing a skill from a skill set does not change the skills already assigned to any user.